﻿@using Abp.Runtime.Validation
@model Abp.Web.Mvc.Models.ErrorViewModel
<div class="row">
    <section class="col-lg-12">
        <div class="panel panel-warning">
            <div class="panel-heading">
                <h3 class="panel-title">@Model.ErrorInfo.Message</h3>
            </div>
            <div class="panel-body">
                <p>
                    @(!string.IsNullOrEmpty(Model.ErrorInfo.Details) ? Model.ErrorInfo.Details : Model.ErrorInfo.Message)
                </p>
                @* Show validation errors *@
                @if (Model.Exception != null && Model.Exception is AbpValidationException)
                {
                    <ul>
                        @foreach (var validationResult in (Model.Exception as AbpValidationException).ValidationErrors)
                        {
                            <li>
                                @validationResult.ErrorMessage
                                @if (validationResult.MemberNames != null && validationResult.MemberNames.Any())
                                {
                                    <text>(@string.Join(", ", validationResult.MemberNames))</text>
                                }
                            </li>
                        }
                    </ul>
                }
            </div>
        </div>
    </section>
</div>
